Retrieve full details for a person, including their addresses. The SSN is returned masked (ssnLast4); the full value is also returned in ssn when the API key holds read:people:ssn. Identification numbers are masked the same way (numberLast4), with the full value in identifications[].number when the key holds read:people:identifications.
Security
ApiKeyAuth
- https://api.pioneerft.com/apihttps://api.pioneerft.com/api/public/v1/people/{id}
- https://api.staging.pioneerft.com/apihttps://api.staging.pioneerft.com/api/public/v1/people/{id}
curl -i -X GET \
'https://api.pioneerft.com/api/public/v1/people/{id}' \
-H 'Authorization: Bearer <YOUR_API Key_HERE>'Response
{ "data": { "id": "string", "firstName": "string", "lastName": "string", "ssnLast4": "string", "ssn": "string", "role": "string", "roles": [ "string" ], "ownershipPercent": 0, "middleName": "string", "suffix": "string", "email": "string", "phone": "string", "dob": "string", "citizenship": "string", "maritalStatus": "string", "guaranteeType": "string", "locations": [ { "id": "string", "address": "string", "address2": "string", "city": "string", "state": "string", "zipCode": "string", "isPrimary": true, "isMailing": true } ], "businesses": [ { "id": "string", "name": "string", "roles": [ { "role": "string", "ownershipPercent": 0, "position": "string" } ] } ], "identifications": [ { "id": "string", "type": "string", "number": "string", "numberLast4": "string", "issueDate": "string", "expirationDate": "string", "issueState": "string", "issueCountry": "string" } ] } }